// Project Sword & Gun Copyright © 2021 Kevin Poretti


#include "Characters/SNGCharacterBase.h"

// Sets default values
ASNGCharacterBase::ASNGCharacterBase()
{
 	// By default does not call Tick() every frame.
	PrimaryActorTick.bCanEverTick = true;
	
	bCanCancel = true;
	
	AController* MyController = GetController();
	if(MyController)
	{
		GetController()->SetIgnoreMoveInput(false);
	}
}

void ASNGCharacterBase::SetIgnoreMovementInput(bool IsIgnored)
{
	AController* MyController = GetController();
	if(MyController)
	{
		GetController()->SetIgnoreMoveInput(IsIgnored);
	}
}

void ASNGCharacterBase::SetCanCancel(bool CanCancel)
{
	bCanCancel = CanCancel;
}

bool ASNGCharacterBase::CanCancel()
{
	return bCanCancel;
}

